CSFML

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
sfVideoMode Struct Reference

sfVideoMode defines a video mode (width, height, bpp, frequency) and provides functions for getting modes supported by the display device More...

`#include <VideoMode.h>`

## Public Attributes

unsigned int | width
| Video mode width, in pixels. More...
unsigned int | height
| Video mode height, in pixels. More...
unsigned int | bitsPerPixel
| Video mode pixel depth, in bits per pixels. More...

## Detailed Description

sfVideoMode defines a video mode (width, height, bpp, frequency) and provides functions for getting modes supported by the display device

Definition at line 41 of file VideoMode.h.

## Member Data Documentation

## ◆ bitsPerPixel

unsigned int sfVideoMode::bitsPerPixel

Video mode pixel depth, in bits per pixels.

Definition at line 45 of file VideoMode.h.

## ◆ height

unsigned int sfVideoMode::height

Video mode height, in pixels.

Definition at line 44 of file VideoMode.h.

## ◆ width

unsigned int sfVideoMode::width

Video mode width, in pixels.

Definition at line 43 of file VideoMode.h.

The documentation for this struct was generated from the following file:

- VideoMode.h